Callisto4Bootloader: arm_rfft_instance_f32 Struct Reference

Callisto4Bootloader

Data Fields
arm_rfft_instance_f32 Struct Reference

Instance structure for the floating-point RFFT/RIFFT function. More...

`#include <arm_math.h>`

## Data Fields

uint32_t | fftLenReal
uint16_t | fftLenBy2
uint8_t | ifftFlagR
uint8_t | bitReverseFlagR
uint32_t | twidCoefRModifier
const float32_t * | pTwiddleAReal
const float32_t * | pTwiddleBReal
arm_cfft_radix4_instance_f32 * | pCfft

## Detailed Description

Instance structure for the floating-point RFFT/RIFFT function.

Definition at line 2212 of file arm_math.h.

## Field Documentation

## ◆ bitReverseFlagR

uint8_t arm_rfft_instance_f32::bitReverseFlagR

flag that enables (bitReverseFlagR=1) or disables (bitReverseFlagR=0) bit reversal of output.

Definition at line 2217 of file arm_math.h.

## ◆ fftLenBy2

uint16_t arm_rfft_instance_f32::fftLenBy2

length of the complex FFT.

Definition at line 2215 of file arm_math.h.

## ◆ fftLenReal

uint32_t arm_rfft_instance_f32::fftLenReal

length of the real FFT.

Definition at line 2214 of file arm_math.h.

## ◆ ifftFlagR

uint8_t arm_rfft_instance_f32::ifftFlagR

flag that selects forward (ifftFlagR=0) or inverse (ifftFlagR=1) transform.

Definition at line 2216 of file arm_math.h.

## ◆ pCfft

arm_cfft_radix4_instance_f32* arm_rfft_instance_f32::pCfft

points to the complex FFT instance.

Definition at line 2221 of file arm_math.h.

## ◆ pTwiddleAReal

const float32_t* arm_rfft_instance_f32::pTwiddleAReal

points to the real twiddle factor table.

Definition at line 2219 of file arm_math.h.

## ◆ pTwiddleBReal

const float32_t* arm_rfft_instance_f32::pTwiddleBReal

points to the imag twiddle factor table.

Definition at line 2220 of file arm_math.h.

## ◆ twidCoefRModifier

uint32_t arm_rfft_instance_f32::twidCoefRModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Definition at line 2218 of file arm_math.h.

The documentation for this struct was generated from the following file:

- CMSIS/arm_math.h